import React from 'react';
import { Badge as BadgeType, Size, LinkProps, IconField } from '../types';
export declare const Actions: React.FC<ActionsProps>;
export interface ActionType {
    icon?: IconField;
    events?: object;
    link?: any;
    url?: string;
    target?: string;
    content?: any;
    disabled?: boolean;
    badge?: BadgeType;
}
interface ActionsProps {
    actions: ActionType[];
    size: Size;
    inverse?: boolean;
    fullWidth?: boolean;
    Link?: React.ComponentType<LinkProps>;
    className?: string;
    style?: React.CSSProperties;
}
export {};
