import React from 'react';
import { Placement, MenuItemType, LinkProps } from '../types';
declare const ContextMenu: React.FC<ContextMenuProps>;
interface ContextMenuProps {
    items: MenuItemType[];
    eventListener?: string;
    placement: Placement;
    children: React.ReactNode;
    Link: React.ComponentType<LinkProps>;
    style?: React.CSSProperties;
    className?: string;
}
export default ContextMenu;
